## groops 0+git20230516+ds

=== debian/changelog ===
groops (0+git20230516+ds-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:56 +1100

groops (0+git20230516+ds-3build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:32:20 +0000

groops (0+git20230516+ds-3build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:26:35 +0000

groops (0+git20230516+ds-3) unstable; urgency=medium

  * Really add the flag.

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Feb 2024 07:41:54 +0100

groops (0+git20230516+ds-2) unstable; urgency=medium

  * d/control: add XS-Autobuild: yes.

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Feb 2024 07:01:26 +0100

groops (0+git20230516+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1001622)

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 May 2023 09:57:31 +0200
