=== debian/control ===
Source: groops
Section: non-free/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gfortran,
 liberfa-dev,
 libexpat1-dev,
 libnetcdf-dev,
 libopenblas-dev,
 mpi-default-dev,
 pkgconf,
 qtbase5-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/groops-devs/groops
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian/groops
Vcs-Git: https://salsa.debian.org/debian/groops.git
Rules-Requires-Root: no

Package: groops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gmt, gmt-gshhg | gmt-gshhg-full | gmt-gshhg-high | gmt-gshhg-low
Description: software toolkit for gravity field recovery and GNSS processing
 The Gravity Recovery Object Oriented Programming System (GROOPS) is a software
 toolkit written in C++ that enables the user to perform core geodetic tasks.
 Key features of the software include gravity field recovery from satellite and
 terrestrial data, the determination of satellite orbits from global navigation
 satellite system (GNSS) measurements, and the processing of GNSS
 constellations and ground station networks.
 .
 Most tasks and algorithms are (optionally) parallelized through the Message
 Passing Interface (MPI), thus the software enables a smooth transition from
 single-CPU desktop computers to large distributed computing environments for
 resource intensive tasks.

Package: groops-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gmt, gmt-gshhg | gmt-gshhg-full | gmt-gshhg-high | gmt-gshhg-low
Description: software toolkit for gravity field recovery and GNSS processing (GUI)
 The Gravity Recovery Object Oriented Programming System (GROOPS) is a software
 toolkit written in C++ that enables the user to perform core geodetic tasks.
 Key features of the software include gravity field recovery from satellite and
 terrestrial data, the determination of satellite orbits from global navigation
 satellite system (GNSS) measurements, and the processing of GNSS
 constellations and ground station networks.
 .
 Most tasks and algorithms are (optionally) parallelized through the Message
 Passing Interface (MPI), thus the software enables a smooth transition from
 single-CPU desktop computers to large distributed computing environments for
 resource intensive tasks.
 .
 This package is the GUI.
