=== debian/changelog ===
groops (0+git20240830+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated.
  * d/patches: dropped.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Aug 2024 14:35:50 +0000

groops (0+git20230516+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Sun, 02 Jun 2024 20:51:13 +0000
