## groops 0+git20250907+ds

=== debian/changelog ===
groops (0+git20250907+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sun, 07 Sep 2025 08:24:22 -0500
