=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: groops
 Section: non-free/science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -14,7 +13,7 @@
  mpi-default-dev,
  pkgconf,
  qtbase5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/groops-devs/groops
 XS-Autobuild: yes
 Vcs-Browser: https://salsa.debian.org/debian/groops
