=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ --sourcedirectory=source

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=gui

override_dh_auto_configure:
	dh_auto_configure -- -DDISABLE_HWM14=TRUE -DDISABLE_JB2008=TRUE -DDISABLE_NRLMSIS=TRUE
	dh_auto_configure --sourcedirectory=gui

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=gui

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --sourcedirectory=gui

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=gui
